Package uk.ac.starlink.vo

## Class SsapTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.RegistryServiceTableLoadDialog
    - - uk.ac.starlink.vo.DalTableLoadDialog
      - - uk.ac.starlink.vo.SkyDalTableLoadDialog
        - - uk.ac.starlink.vo.SsapTableLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`, `DalLoader`

      public class SsapTableLoadDialog
      extends SkyDalTableLoadDialog

  Table load dialogue for retrieving the result of a SSAP query. SSAP services are returned from a registry.
  Since:
    2 Feb 2009
  Author:
    Mark Taylor
  See Also:
    SSA

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SsapTableLoadDialog()` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createQueryComponent()` |
    `uk.ac.starlink.table.gui.TableLoader` | `createTableLoader()` |
    `static java.lang.String[]` | `getFormatOptions()` | Returns the list of standard options provided by the Format selector.

    - ### Methods inherited from class uk.ac.starlink.vo.SkyDalTableLoadDialog

      `acceptSkyPosition, getQuerySummary, getSkyEntry`

    - ### Methods inherited from class uk.ac.starlink.vo.DalTableLoadDialog

      `checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlBox, getServiceUrlField, isReady, setServiceUrl`

    - ### Methods inherited from class uk.ac.starlink.vo.RegistryServiceTableLoadDialog

      `acceptResourceIdList, getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.vo.DalLoader

      `acceptResourceIdList, getMenus, getRegistryPanel, setMenus`

- - ### Constructor Detail

    - #### SsapTableLoadDialog

          public SsapTableLoadDialog()

      Constructor.

  - ### Method Detail

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent()

      Overrides:
        `createQueryComponent` in class `SkyDalTableLoadDialog`

    - #### createTableLoader

          public uk.ac.starlink.table.gui.TableLoader createTableLoader()

    - #### getFormatOptions

          public static java.lang.String[] getFormatOptions()

      Returns the list of standard options provided by the Format selector. These are taken from the SSA standard; they are not exhaustive, but represent some of the more useful options. The user is able to enter custom items as an alternative. The first element in the returned list is a reasonable default.
      Returns:
        format option strings